Companies
Get a company
The company with every contact linked to it, its deals, and the open/won value rollup across those deals. The rollup is computed from the deals, not stored. Requires scope companies:read.
GET
/
companies
/
{id}
Get a company
curl --request GET \
--url https://api.smartlyq.com/v1/companies/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.smartlyq.com/v1/companies/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.smartlyq.com/v1/companies/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"company": {
"id": 812,
"name": "Acme Industries",
"domain": "acme.com",
"industry": "Manufacturing",
"company_size": "51-200",
"phone": "<string>",
"website": "<string>",
"address": "<string>",
"notes": "<string>",
"assigned_user_id": 123,
"contact_count": 7,
"attributes": {},
"created_at": "2023-11-07T05:31:56Z"
},
"contacts": [
{
"id": 123,
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"role": "<string>",
"status": "<string>",
"avatar": "<string>"
}
],
"deals": [
{
"id": 123,
"client_name": "<string>",
"value": 123,
"stage": "<string>",
"status": "open"
}
],
"rollup": {
"deal_count": 123,
"open_value": 42000,
"won_value": 18500
}
},
"meta": {
"request_id": "req_9f3a2b1c-7d4e-4a08-b2c6-5e1f8a9d0c34",
"timestamp": "2026-07-26T09:41:22Z"
}
}⌘I
Get a company

